/******************************************************************
* Default vectors file for C servo controller
*
* Programmer: Drew Bagnell
*******************************************************************/

/**************************** Includes **********************************/
#include "xsr16.h"
#include <timux03.h>
extern void _start(); /* entry point in crt11.s */
/************************************************************************/

/**************************** Vectors *********************************/
#pragma abs_address:0xffd6
/* change the above address if your vector starts elsewhere
 */
void (*interrupt_vectors[])() =
	{
	/* to cast a constant, say 0xb600, use
	   (void (*)())0xb600
	 */
	(void (*)())0x0,  /* SCI */
	(void (*)())0x0,  /* SPI */
	(void (*)())0x0,  /* PAIE */
	(void (*)())0x0,  /* PAO */
   (void (*)())0x0,  /* TOF */
   (void (*)())0x0,   /* TOC5 */
   (void (*)())0x0,  /* TOC4 */
    servo_handC,          /* TOC3 */
    servo_handB, /* TOC2 */
    servo_handON, /* TOC1 */
	(void (*)())0x0, /* TIC3 */
	(void (*)())0x0, /* TIC2 */
   (void (*)())0x0, /* TIC1 */
	(void (*)())0x0,  /* RTI */
	(void (*)())0x0,  /* IRQ */
	(void (*)())0x0,  /* XIRQ */
	(void (*)())0x0,  /* SWI */
	(void (*)())0x0,  /* ILLOP */
	(void (*)())0x0,  /* COP */
	(void (*)())0x0,  /* CLM */
		_start   /* RESET */
	};

#pragma end_abs_address
