#include <stdio.h>

#if defined(_HC11)
#include <hc11.h>
#elif defined(_HC12)
#include <hc12.h>
#elif defined(_HC16)
#include <hc16.h>
#else
#error "no target defined"
#endif

void main(void)
	{
	setbaud(BAUD9600);
	puts("hello world\n");
	}

/* If you need to set up interrupt vectors (e.g. single chip mode system
 * or system without monitor, then you can simply include vectors.c. The
 * "right" way to do things is to set up a project with mulitple files,
 * but to just try out the compiler, this works just as well.
 * HC16's vector is in the crt16.o file
 */
#if defined(_HC11) || defined(_HC12)
#include "vectors.c"
#endif
/* note that since vectors.c uses pragma to change the text section name
 * there should not be stuff after this unless you change the name
 * back
 */
